Updating a lifecycle-environment name by passing an id raises an error
Description

Description of problem:
Updating a lifecycle-environment name by passing an id give "Missing options to search lifecycle_environment"

Version-Release number of selected component (if applicable):

How reproducible:
Aways

Steps to Reproduce:
1. Create a lifecycle environment:

LANG=en_US hammer -v -u admin -p changeme --output csv lifecycle-environment create --prior="Library' --name="izg20iy9'
--organization-id="uHUGybQWaekxIEeysIBI'

2. Try to update its name:
LANG=en_US hammer -v -u admin -p changeme --output csv lifecycle-environment update --new-name='GFbtPyiDdFyFmDZz'
--id='311" --organization-id="'uHUGybQWaekxIEeysIBI'

PS.: The organization have already been created

Actual results:
An error message saying that is missing option to search a lifecycle environment is raised but the id is passed as command
argument.

Expected results:
The lifecycle environment name is updated without raising any error

Additional info:

$ LANG=en_US hammer -v -u admin -p changeme --output csv lifecycle-environment update --new-name='GFbtPyiDdFyFmDz'
--id='311" --organization-id="'uHUGybQWaekxIEeysIBI'

[ERROR 2014-05-08 12:05:48 Exception] Error: Missing options to search lifecycle_environment

Could not update environment:

Error: Missing options to search lifecycle_environment

[ERROR 2014-05-08 12:05:48 Exception]

RuntimeError (Missing options to search lifecycle_environment):
/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.0/lib/hammer_cli_foreman/id_resolver.rb:124:in “search_options'
/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.0/lib/hammer_cli_foreman/id_resolver.rb:101:in “find_resource'
/ust/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.0/lib/hammer_cli_foreman/id_resolver.rb:95:in “get_id'
/ust/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.0/lib/hammer_cli_foreman/id_resolver.rb:89:in “lifecycle_environment_id'
/usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.3/lib/lhammer_cli_katello/lifecycle_environment.rb:73:in ‘request_params'
/ust/lib/ruby/gems/1.8/gems/hammer_cli-0.1.0/lib/hammer_cli/./apipie/command.rb:42:in “send_request’
/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.0/lib/hammer_cli_foreman/commands.rb:108:in “send_request'
/ust/lib/ruby/gems/1.8/gems/hammer_cli-0.1.0/lib/hammer_cli/./apipie/command.rb:33:in “execute’

05/20/2024 12




/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in “run’
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.0/lib/hammer_cli/./apipie/../abstract.rb:22:in “run’
/ust/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in “execute'
/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in “run’
/ust/lib/ruby/gems/1.8/gems/hammer_cli-0.1.0/lib/hammer_cli/./apipie/../abstract.rb:22:in “run’'
/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in “execute'
/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in “run’
/ust/lib/ruby/gems/1.8/gems/hammer_cli-0.1.0/lib/hammer_cli/./apipie/../abstract.rb:22:in “run’
/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in “run’

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.0/bin/hammer:100
/usr/bin/fhammer:19:in “load’
/usr/binfhammer:19

Associated revisions

Revision afdacb49 - 06/06/2014 08:31 PM - dustin tsang

Fixes #6101 - Ifenv conditional resolv prior

lifecycle-environment command update/create should only conditionaly
resolve for prior if option is given.

Revision 60e73d42 - 06/09/2014 05:24 PM - dustin tsang

Merge pull request #186 from dustint-rh/lfenv_prior_resolver_guard

Fixes #6101 - Ifenv conditional resolv prior

History

#1 - 06/06/2014 06:01 PM - dustin tsang

- Category set to Hammer

#2 - 06/06/2014 06:01 PM - dustin tsang
- Status changed from New to Assigned

- Assignee set to dustin tsang

#3 - 06/06/2014 08:48 PM - dustin tsang

https://github.com/Katello/hammer-cli-katello/pull/186

#4 - 06/09/2014 12:11 PM - Eric Helms
- Triaged changed from No to Yes

#5 - 06/09/2014 06:06 PM - dustin tsang
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:afdacb49b59f2fdae353329adce9b00e9f11672e.

#6 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
https://github.com/Katello/hammer-cli-katello/pull/186
